### Struct

# GObject ParamSpecPool

#### Description

    struct GParamSpecPool {
      /* No available fields */
    }

A `GParamSpecPool` maintains a collection of `GParamSpecs` which can be quickly accessed by owner and name.

The implementation of the `GObject` property system uses such a pool to store the `GParamSpecs` of the properties all object types.

#### Functions

###### g_param_spec_pool_new

Creates a new `GParamSpecPool`.

#### Instance methods

###### g_param_spec_pool_free

Frees the resources allocated by a `GParamSpecPool`.

since: 2.80

###### g_param_spec_pool_insert

Inserts a `GParamSpec` in the pool.

###### g_param_spec_pool_list

Gets an array of all `GParamSpecs` owned by `owner_type` in the pool.

###### g_param_spec_pool_list_owned

Gets an `GList` of all `GParamSpecs` owned by `owner_type` in the pool.

###### g_param_spec_pool_lookup

Looks up a `GParamSpec` in the pool.

###### g_param_spec_pool_remove

Removes a `GParamSpec` from the pool.